2020-01-27 00:35 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002262FSSCPsoundpublic2012-11-25 04:11
ReporterThe_E 
Assigned ToThe_E 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionno change required 
Product Version3.6.13 
Target VersionFixed in Version 
Summary0002262: OpenAL ERROR: "Invalid Enum"
DescriptionOn current trunk, the debug log is filled with messages complaining about errors like these:

OpenAL ERROR: "Invalid Enum" in d:\fso\scp - clean\code\sound\ds3d.cpp, line 52

and

OpenAL ERROR: "Invalid Enum" in d:\fso\scp - clean\code\sound\ds.cpp, line 1640

The audio init part of my log looks like this:
Initializing OpenAL...
  OpenAL Vendor : Creative Labs Inc.
  OpenAL Renderer : Software
  OpenAL Version : 1.1

  Available Playback Devices:
    Generic Software on Speakers (Realtek High Definition Audio)
  Found extension "ALC_EXT_EFX".

  Sample rate: 44100 (44100)
  EFX enabled: NO
  Playback device: Generic Software on Speakers (Realtek High Definition Audio)
  Capture device: <not available>
... OpenAL successfully initialized!

Both errors are caused by calling alSourcef with the AL_DOPPLER_FACTOR parameter, which is invalid according to the OpenAL documentation.
Previously, I committed a fix for this which was nixed by taylor, since this was apparently valid despite creative's guides saying something different.

Now, since the sound code obviously works despite this, this is probably not critical in any way, but I'd still like to keep these erroneous errors out of the log, or at the very least, make sure these calls are only made if they are valid.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0012245

FUBAR-BDHR (developer)

Yes my logs are loaded with those and the following as well:

OpenAL ERROR: "Invalid Enum" in c:\fs2_open_diaspora\code\sound\ds3d.cpp, line 52
SOUND: c:\fs2_open_diaspora\code\sound\ds.cpp:1488 - OpenAL error = 'Invalid Value'
SOUND: c:\fs2_open_diaspora\code\sound\ds.cpp:1488 - OpenAL error = 'Invalid Value'
SOUND: c:\fs2_open_diaspora\code\sound\ds.cpp:1488 - OpenAL error = 'Invalid Value'
SOUND: c:\fs2_open_diaspora\code\sound\ds.cpp:1488 - OpenAL error = 'Invalid Value'
OpenAL ERROR: "Invalid Enum" in c:\fs2_open_diaspora\code\sound\ds3d.cpp, line 52
SOUND: c:\fs2_open_diaspora\code\sound\ds.cpp:1488 - OpenAL error = 'Invalid Value'
SOUND: c:\fs2_open_diaspora\code\sound\ds.cpp:1488 - OpenAL error = 'Invalid Value'
SOUND: c:\fs2_open_diaspora\code\sound\ds.cpp:1488 - OpenAL error = 'Invalid Value'
SOUND: c:\fs2_open_diaspora\code\sound\ds.cpp:1488 - OpenAL error = 'Invalid Value'
SOUND: c:\fs2_open_diaspora\code\sound\ds.cpp:1488 - OpenAL error = 'Invalid Value'

~0014175

MjnMixael (manager)

Could not reproduce on 9357. Possibly fixed along the way?

~0014180

Goober5000 (administrator)

Dunno. It's also possible that you're running a more up-to-date version of OpenAL that doesn't have these issues.

Assigning to The E for feedback.

~0014182

The_E (administrator)

Last edited: 2012-11-25 04:11

View 2 revisions

Yeah, I haven't seen this thing for some time either.

The issue seems to be a faulty implementation of the standard anyway, something we can't really fix on our end.

+Notes

-Issue History
Date Modified Username Field Change
2010-07-16 13:30 The_E New Issue
2010-07-19 14:56 FUBAR-BDHR Note Added: 0012245
2012-11-24 01:37 MjnMixael Note Added: 0014175
2012-11-24 22:35 Goober5000 Note Added: 0014180
2012-11-24 22:35 Goober5000 Assigned To => The_E
2012-11-24 22:35 Goober5000 Status new => feedback
2012-11-25 04:10 The_E Note Added: 0014182
2012-11-25 04:10 The_E Status feedback => assigned
2012-11-25 04:11 The_E Note Edited: 0014182 View Revisions
2012-11-25 04:11 The_E Status assigned => closed
2012-11-25 04:11 The_E Resolution open => no change required
+Issue History